MongoDB\Driver\Exception\UnexpectedValueException
MongoDB\Driver\Exception\WriteException::getWriteResult
MongoDB\Driver\Exception
PHP Manual

# The MongoDB\Driver\Exception\WriteException class

(mongodb >= 1.0.0)

## Introduction

Base class for exceptions thrown by a failed write operation. The exception encapsulates a MongoDB\Driver\WriteResult object.

## Class synopsis

abstract MongoDB\Driver\Exception\WriteException extends MongoDB\Driver\Exception\RuntimeException implements MongoDB\Driver\Exception\Exception {
/* Properties */
protected MongoDB\Driver\WriteResult $writeResult ;
/* Inherited properties */
protected string $message ;
protected int $code ;
protected string $file ;
protected int $line ;
/* Methods */
final public MongoDB\Driver\WriteResult getWriteResult ( void )
/* Inherited methods */
final public string Exception::getMessage ( void )
final public Exception Exception::getPrevious ( void )
final public mixed Exception::getCode ( void )
final public string Exception::getFile ( void )
final public int Exception::getLine ( void )
final public array Exception::getTrace ( void )
final public string Exception::getTraceAsString ( void )
public string Exception::__toString ( void )
final private void Exception::__clone ( void )
}

## Properties

writeResult

  The MongoDB\Driver\WriteResult associated with the failed write operation.

## Table of Contents

- MongoDB\Driver\Exception\WriteException::getWriteResult — Returns the WriteResult for the failed write operation

MongoDB\Driver\Exception\UnexpectedValueException
MongoDB\Driver\Exception\WriteException::getWriteResult
MongoDB\Driver\Exception
PHP Manual